;=============================================;
;== Include File for MirageOS External GUIs ==;
;=============================================;

.nolist
AppRam1               = appBackUpScreen ;(768)  Equate for FreeRam1 Variable Area.
AppRam2               = TempSwapArea    ;(323)  Equate for FreeRam2 Variable Area.
AppSave               = cmdShadow       ;(128)  Equate for Area that should be Saved.

fastinfo              = $00             ;       0 = Look Up Everything, 1 = Limited Info.
xdir                  = imathptr5+0     ;(1)    X direction for line routine.
ydir                  = imathptr5+1     ;(1)    Y direction for line routine.

rambutton             = AppRam1+0       ;(30)   Holds the Button Graphic of the Program.
ramdesc               = AppRam1+30      ;(40)   Holds the Description of the Program.
ramsize               = AppRam1+230     ;(2)    Holds the Size of Program after getinfo.
numgoodprogs          = AppRam1+287     ;(1)    Holds the Number of Good Programs in the
                                        ;       current folder after Find_Num_Good_Progs.
FolderBytes           = StatVars+5      ;(10)   Holds one data byte for each folder, which
                                        ;       contains the number of progs in the folder,
                                        ;       (99 Max), and then Bit 7 is used to notate
                                        ;       if the folder is either Open or Closed.
curfold               = AppSave+21      ;(1)    Value of the Current Folder used.
avdata                = AppSave+24      ;(20)   Location for AppVar Bytes to be Copied.
MainOpts              = avdata+0        ;(1)    Option Byte #1 - MirageOS Main Options.
GUIsOpts              = avdata+1        ;(1)    Option Byte #2 - Set Interface Options.
ProtOpts              = avdata+2        ;(1)    Option Byte #3 - Password Prot Options.
HKeyOpts              = avdata+3        ;(1)    Option Byte #4 - Tasker/Hotkey Options.
MiscOpts              = avdata+4        ;(1)    Option Byte #5 - Miscellaneous Options.
saveuitype            = avdata+5        ;(1)    Holds the Value of which GUI is Chosen
                                        ;       Even when Program Manager is Selected.
savesort1             = avdata+6        ;(1)    Locations to hold Sort States for Four
savesort2             = avdata+7        ;(1)    folders. Same for this byte too, but
savesort3             = avdata+8        ;(1)    this byte will only hold another two.
apdsave               = avdata+8        ;(1)    The lower nibble is used for this byte.
Password1             = avdata+9        ;(9)    Buffer for the Password during Entry.
uitype                = avdata+18       ;(1)    Holds the Value for the Interface Type.
numfolds              = avdata+19       ;(1)    Holds the Value for Number of Folders.

gui_vars              = AppSave+44      ;(9)    Area of Command Shadow that GUI vars are in.
topgoodprog           = AppSave+44      ;(2)    Holds the Ptr for the Highest Shown Program.
curgoodprog           = AppSave+46      ;(2)    Holds the Ptr for the Current Selected Prog.
cursorcoords          = AppSave+48      ;(2)    Holds the Coords for the Interface Cursor.
topfoldnum            = AppSave+50      ;(1)    Holds the Value of the Top Folder Displayed.
topprognum            = AppSave+51      ;(1)    Holds the Value of the Top Program Displayed.
curprognum            = AppSave+52      ;(1)    Counter for which Prog the cursor is on in list.

FolderSizes           = AppSave+60      ;(20)   Byte Locations to store the 2-Byte Sizes for
                                        ;       each folder, the total combined size for all
                                        ;       the programs they contain (65535 Bytes Max).
scroll_vars           = AppSave+104     ;(11)   Area where scrollbar routine vars are accessed.
save_scr_vars         = AppSave+115     ;(11)   Holds the Scrollbar Vars during Program Manager.

GUIsaferam1           = SavesScreen     ;(768)  Start of the SafeRam1 Area that GUIs may use.
GUIsaferam2           = AppRam1+480     ;(288)  Start of the SafeRam2 Area that GUIs may use. 
GUIsaferam3           = AppRam2+240     ;(83)   Start of the SafeRam3 Area that GUIs may use.

curVATptr             = AppRam1+200     ;(2)    Pointer to current VAT program.
copyBuffer            = AppRam1+70      ;(100?) Scratch space where MirageOS AppVar data is copied to.
linkBuffer            = AppRam1+300     ;(128?)   Scratch space to receive bytes in linking routines.
curfoldbackup         = AppRam1+285     ;(1?)   curfold backup space.
ixTablePtr            = AppRam1+234     ;
;AppRam1+236
gui_varsBackup        = AppRam1+288     ;(9?)   gui_vars backup.
unkn96A9              = AppSave+59      ;(1)    Something.
unkn994E              = AppRam1+220     ;(10)   Jump table of routines based on keys 1-5 pressed.
AboutTimer            = AppRam1+286     ;(1)    Timer used when displaying strings in About screen.
;AppRam1+269
;AppRam1+267
;AppRam1+206
;AppRam1+271
;AppSave+22

;appData+8 used for something
;asm_Flag1, 2, and 3 used

.list
.end
